# Interface HueRotateEffectFunctionJson

An Effect Function for the hue-rotate effect.

interface HueRotateEffectFunctionJson {
angle?: number;
type: "hue-rotate";
}

#####
Index

### Properties

angle?
type

##
Properties

### `Optional` angle

angle?: number

The relative change in hue as an angle in degree. A value of 0 leaves the input unchanged. A positive hue rotation increases the hue value, while a negative one decreases the hue value.

### type

type

Effect type.